Skip to main content
`Ctrl`+`K`

# PetscDataTypeToHDF5DataType

Converts the PETSc name of a datatype to its HDF5 name.

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscDataTypeToHDF5DataType(PetscDataType ptype, hid_t *htype)

Not Collective

## Input Parameter

- ptype - the PETSc datatype name (for example `PETSC_DOUBLE`)

## Output Parameter

- htype - the HDF5 datatype

## See Also

Viewers: Looking at PETSc Objects, `PetscDataType`, `PetscHDF5DataTypeToPetscDataType()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages